Bug 994754 - Untranslated languages and test language "qc" should not be released for UI
Untranslated languages and test language "qc" should not be released for UI
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
2.3
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Damian Jansen
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 21:00 EDT by Damian Jansen
Modified: 2015-07-30 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-08-07 21:00:33 EDT
Description of problem:
In the webapp footer's language selector, there is a test language "qc" which looks woeful when selected.
This should not be present in anything other than a test build.

How reproducible:
Easy always

Steps to Reproduce:
In the footer language selector, choose qc

Actual results:
A completely broken main menu and set of footer links

Expected results:
No qc option available.

Additional info:
zanata-server/zanata-war/src/main/webapp/WEB-INF/faces-config.xml:19
Comment 1 Sean Flanigan 2013-08-07 21:58:02 EDT
We should probably just turn it on and off at runtime with a system property or similar.
Comment 2 Damian Jansen 2013-08-29 02:19:53 EDT
https://github.com/zanata/zanata-server/pull/148
Comment 3 Zanata Migrator 2015-07-30 21:49:31 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-562

Note You need to log in before you can comment on or make changes to this bug.